Skip site navigation (1) Skip section navigation (2)

Re: wxGTK2ud BuildRequires dependencies

From: "Adam H(dot) Pendleton" <fmonkey(at)fmonkey(dot)net>
To: jm(at)poure(dot)com
Cc: pgadmin-hackers(at)postgresql(dot)org
Subject: Re: wxGTK2ud BuildRequires dependencies
Date: 2003-11-17 19:01:01
Message-ID: (view raw or whole thread)
Lists: pgadmin-hackers
Jean-Michel POURE wrote:

>Yes, it is perfectly possible. But, there are so many-many build-time 
>depencies in wxWindows. Listing them all is quite difficult.
Really?  Am I missing something, or would this line suffice (granted, 
this is the RH line, but...):

BuildRequires: gtk2-devel, libjpeg-devel, libpng-devel, libtiff-devel

>On the other hand, the upcoming stable version of wxWindows 2.5.1 will provide 
>a new set of RPMs. These "new" RPMs are very well designed. They include both 
>buildtime and binary dependencies.
>Personaly, I think it is a waste of time to invest in the wxGTK2ud direction 
>when a new set of RPMs is coming along. If you think the converse, do not 
>hesitate to submit a patch and I will apply it immediately. This is free 
>software... You are free to do what you want...
So are we going to be using the official wxWindows RPMs from now on?  
Are we going to run into any problems since we currently use a build of 
wxWindows that differs from the "official" build?


In response to


pgadmin-hackers by date

Next:From: Jean-Michel POUREDate: 2003-11-17 20:04:03
Subject: Re: wxGTK2ud BuildRequires dependencies
Previous:From: Jean-Michel POUREDate: 2003-11-17 18:56:21
Subject: Re: wxGTK2ud BuildRequires dependencies

Privacy Policy | About PostgreSQL
Copyright © 1996-2015 The PostgreSQL Global Development Group